%define __kde4_alternate_placement 1

%define lng pt_BR
%define lngg Brazil Portuguese

Name: kde4-i18n-%lng
Version: 4.1.3
Release: alt0.M41.1

Group: Graphical desktop/KDE
Summary: %lngg language support for KDE
License: GPL
Url: http://www.kde.org/

#Provides: kde-i18n-%lng = %version-%release
Requires: kde-common >= 4.1
BuildArch: noarch

Source: kde-l10n-%lng-%version.tar.bz2

BuildRequires: gcc-c++ kde4libs-devel >= %version

%description
%lngg language support for KDE.


%prep
%setup -q -n kde-l10n-%lng-%version

#find -type f -name *.gmo | while read f; do rm -f $f; done
#find -type f -name index.cache.bz2 | while read f; do rm -f $f; done


%build
%K4cmake
%K4make


%install
%K4install

if ! [ -e %buildroot/%__kde4_doc/%lng/common ]; then
    mkdir -p %buildroot/%__kde4_doc/%lng/common/
    pushd %__kde4_doc/en/common/
    for f in *; do
	ln -s %__kde4_doc/en/common/$f %buildroot/%__kde4_doc/%lng/common/$f
    done
    popd
fi


%files
%dir %__kde4_doc/%lng/
%lang(%lng) %__kde4_doc/%lng/*
#
%dir %_K4i18n/%lng/
%_K4i18n/%lng/entry.desktop
#
%dir %_K4i18n/%lng/
%dir %_K4i18n/%lng/LC_MESSAGES/
%lang(%lng) %_K4i18n/%lng/LC_MESSAGES/*.mo
#
%lang(%lng) %_K4apps/kvtml/%lng/
#
#%lang(%lng) %_K4apps/ktuberling/sounds/%lng/
#%lang(%lng) %_K4apps/ktuberling/sounds/%lng.soundtheme
%lang(%lng) %_K4apps/khangman/%lng.txt
%lang(%lng) %_K4apps/klettres/%lng/

%changelog
* Wed Dec 17 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.1
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- initial specfile
